package edu.kit.ipd.descartes.mm.adaptation.provider;

import org.eclipse.emf.common.notify.AdapterFactory;

import edu.kit.ipd.descartes.mm.adaptation.Action;
import edu.kit.ipd.descartes.mm.adaptation.ActionReference;

public class ActionReferenceItemProviderExtension extends ActionReferenceItemProvider {

    public ActionReferenceItemProviderExtension(AdapterFactory adapterFactory) {
        super(adapterFactory);
    }

    @Override
    public String getText(Object object) {
        Action ref = ((ActionReference)object).getRefersTo();
        
        String label = ref == null ? 
            null : 
            ref.getName();
        
        return label == null || label.length() == 0 ?
            getString("_UI_ActionReference_type") :
            getString("_UI_ActionReference_type") + " " + label;
    }
}